<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__ezi2c__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_ezi2c_t</compoundname>
    <includes local="no">cyhal_hw_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__ezi2c__t_1a1acfb04d7f408bef718b8fc65d3e51ce" kind="variable" mutable="no" prot="public" static="no">
        <type>CySCB_Type *</type>
        <definition>CySCB_Type* cyhal_ezi2c_t::base</definition>
        <argsstring />
        <name>base</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="383" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="383" />
      </memberdef>
      <memberdef id="structcyhal__ezi2c__t_1a9c99de3b28996d598c0bfff24553fe78" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__resource__inst__t">cyhal_resource_inst_t</ref></type>
        <definition>cyhal_resource_inst_t cyhal_ezi2c_t::resource</definition>
        <argsstring />
        <name>resource</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="384" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="384" />
      </memberdef>
      <memberdef id="structcyhal__ezi2c__t_1a28cfb1d3efde5f9680cc1da02804cb34" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_ezi2c_t::pin_sda</definition>
        <argsstring />
        <name>pin_sda</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="385" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="385" />
      </memberdef>
      <memberdef id="structcyhal__ezi2c__t_1a75b314887d1fcaaaba028873a3f1292d" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_ezi2c_t::pin_scl</definition>
        <argsstring />
        <name>pin_scl</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="386" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="386" />
      </memberdef>
      <memberdef id="structcyhal__ezi2c__t_1a68627f300a191617cf6d7f49e3d115d4" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__clock__t">cyhal_clock_t</ref></type>
        <definition>cyhal_clock_t cyhal_ezi2c_t::clock</definition>
        <argsstring />
        <name>clock</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="387" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="387" />
      </memberdef>
      <memberdef id="structcyhal__ezi2c__t_1af155dccb8af1decc16cce52d4ceaf7cc" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cyhal_ezi2c_t::is_shared_clock</definition>
        <argsstring />
        <name>is_shared_clock</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="388" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="388" />
      </memberdef>
      <memberdef id="structcyhal__ezi2c__t_1a3aa065ed0c7c1d4d24c559cc4f4a644b" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_scb_ezi2c_context_t</type>
        <definition>cy_stc_scb_ezi2c_context_t cyhal_ezi2c_t::context</definition>
        <argsstring />
        <name>context</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="389" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="389" />
      </memberdef>
      <memberdef id="structcyhal__ezi2c__t_1a9cded0c71c054dea98ddf9f0c68d5ff7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_ezi2c_t::irq_cause</definition>
        <argsstring />
        <name>irq_cause</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="390" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="390" />
      </memberdef>
      <memberdef id="structcyhal__ezi2c__t_1a78fc15a46183b145984ad509e430d8af" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__event__callback__data__t">cyhal_event_callback_data_t</ref></type>
        <definition>cyhal_event_callback_data_t cyhal_ezi2c_t::callback_data</definition>
        <argsstring />
        <name>callback_data</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="391" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="391" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>EZI2C object. </para>    </briefdescription>
    <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>    </detaileddescription>
    <collaborationgraph>
      <node id="55">
        <label>cyhal_ezi2c_t</label>
        <link refid="structcyhal__ezi2c__t" />
        <childnode refid="56" relation="usage">
          <edgelabel>callback_data</edgelabel>
        </childnode>
        <childnode refid="57" relation="usage">
          <edgelabel>resource</edgelabel>
        </childnode>
      </node>
      <node id="57">
        <label>cyhal_resource_inst_t</label>
        <link refid="structcyhal__resource__inst__t" />
      </node>
      <node id="56">
        <label>cyhal_event_callback_data_t</label>
        <link refid="structcyhal__event__callback__data__t" />
      </node>
    </collaborationgraph>
    <location bodyend="395" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="381" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="381" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__ezi2c__t_1a1acfb04d7f408bef718b8fc65d3e51ce" virt="non-virtual"><scope>cyhal_ezi2c_t</scope><name>base</name></member>
      <member prot="public" refid="structcyhal__ezi2c__t_1a78fc15a46183b145984ad509e430d8af" virt="non-virtual"><scope>cyhal_ezi2c_t</scope><name>callback_data</name></member>
      <member prot="public" refid="structcyhal__ezi2c__t_1a68627f300a191617cf6d7f49e3d115d4" virt="non-virtual"><scope>cyhal_ezi2c_t</scope><name>clock</name></member>
      <member prot="public" refid="structcyhal__ezi2c__t_1a3aa065ed0c7c1d4d24c559cc4f4a644b" virt="non-virtual"><scope>cyhal_ezi2c_t</scope><name>context</name></member>
      <member prot="public" refid="structcyhal__ezi2c__t_1a9cded0c71c054dea98ddf9f0c68d5ff7" virt="non-virtual"><scope>cyhal_ezi2c_t</scope><name>irq_cause</name></member>
      <member prot="public" refid="structcyhal__ezi2c__t_1af155dccb8af1decc16cce52d4ceaf7cc" virt="non-virtual"><scope>cyhal_ezi2c_t</scope><name>is_shared_clock</name></member>
      <member prot="public" refid="structcyhal__ezi2c__t_1a75b314887d1fcaaaba028873a3f1292d" virt="non-virtual"><scope>cyhal_ezi2c_t</scope><name>pin_scl</name></member>
      <member prot="public" refid="structcyhal__ezi2c__t_1a28cfb1d3efde5f9680cc1da02804cb34" virt="non-virtual"><scope>cyhal_ezi2c_t</scope><name>pin_sda</name></member>
      <member prot="public" refid="structcyhal__ezi2c__t_1a9c99de3b28996d598c0bfff24553fe78" virt="non-virtual"><scope>cyhal_ezi2c_t</scope><name>resource</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>